Java$readInt {R.utils} | R Documentation

## Reads a Java formatted int (32 bits) from a connection

### Description

Reads one or several Java formatted int's (32 bits) from a connection. All data types in Java are signed, i.e. a byte can hold a value in the range [-2147483648,2147483647].

### Usage

    ## Static method (use this):
    ## Java$readInt(con, n=1, ...)

    ## Don't use the below:
    ## S3 method for class 'Java'
    readInt(static, con, n=1, ...)

### Arguments

`con` | Binary connection to be read from.
`n` | Number of int's to be read.
`...` | Not used.

### Value

Returns a `vector` of `double`s. Note that R `integer`s gives NA is as.integer(-2147483648), which is the smallest Java int available.

### Author(s)

Henrik Bengtsson

### See Also

`readBin`(). For more information see `Java`.

[Package R.utils version 2.6.0 Index]